Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class Slaqr2

    java.lang.Object
      org.netlib.lapack.Slaqr2

    public class Slaqr2

extends java.lang.Object

    Following is the description from the original
    Fortran source.  For each array argument, the Java
    version will include an integer offset parameter, so
    the arguments may not match the description exactly.
    Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *     This subroutine is identical to SLAQR3 except that it avoids
     *     recursion by calling SLAHQR instead of SLAQR4.
     *
     *
     *     ******************************************************************
     *     Aggressive early deflation:
     *
     *     This subroutine accepts as input an upper Hessenberg matrix
     *     H and performs an orthogonal similarity transformation
     *     designed to detect and deflate fully converged eigenvalues from
     *     a trailing principal submatrix.  On output H has been over-
     *     written by a new Hessenberg matrix that is a perturbation of
     *     an orthogonal similarity transformation of H.  It is to be
     *     hoped that the final version of H has many zero subdiagonal
     *     entries.
     *
     *     ******************************************************************
     *     WANTT   (input) LOGICAL
     *          If .TRUE., then the Hessenberg matrix H is fully updated
     *          so that the quasi-triangular Schur factor may be
     *          computed (in cooperation with the calling subroutine).
     *          If .FALSE., then only enough of H is updated to preserve
     *          the eigenvalues.
     *
     *     WANTZ   (input) LOGICAL
     *          If .TRUE., then the orthogonal matrix Z is updated so
     *          so that the orthogonal Schur factor may be computed
     *          (in cooperation with the calling subroutine).
     *          If .FALSE., then Z is not referenced.
     *
     *     N       (input) INTEGER
     *          The order of the matrix H and (if WANTZ is .TRUE.) the
     *          order of the orthogonal matrix Z.
     *
     *     KTOP    (input) INTEGER
     *          It is assumed that either KTOP = 1 or H(KTOP,KTOP-1)=0.
     *          KBOT and KTOP together determine an isolated block
     *          along the diagonal of the Hessenberg matrix.
     *
     *     KBOT    (input) INTEGER
     *          It is assumed without a check that either
     *          KBOT = N or H(KBOT+1,KBOT)=0.  KBOT and KTOP together
     *          determine an isolated block along the diagonal of the
     *          Hessenberg matrix.
     *
     *     NW      (input) INTEGER
     *          Deflation window size.  1 .LE. NW .LE. (KBOT-KTOP+1).
     *
     *     H       (input/output) REAL array, dimension (LDH,N)
     *          On input the initial N-by-N section of H stores the
     *          Hessenberg matrix undergoing aggressive early deflation.
     *          On output H has been transformed by an orthogonal
     *          similarity transformation, perturbed, and the returned
     *          to Hessenberg form that (it is to be hoped) has some
     *          zero subdiagonal entries.
     *
     *     LDH     (input) integer
     *          Leading dimension of H just as declared in the calling
     *          subroutine.  N .LE. LDH
     *
     *     ILOZ    (input) INTEGER
     *     IHIZ    (input) INTEGER
     *          Specify the rows of Z to which transformations must be
     *          applied if WANTZ is .TRUE.. 1 .LE. ILOZ .LE. IHIZ .LE. N.
     *
     *     Z       (input/output) REAL array, dimension (LDZ,IHI)
     *          IF WANTZ is .TRUE., then on output, the orthogonal
     *          similarity transformation mentioned above has been
     *          accumulated into Z(ILOZ:IHIZ,ILO:IHI) from the right.
     *          If WANTZ is .FALSE., then Z is unreferenced.
     *
     *     LDZ     (input) integer
     *          The leading dimension of Z just as declared in the
     *          calling subroutine.  1 .LE. LDZ.
     *
     *     NS      (output) integer
     *          The number of unconverged (ie approximate) eigenvalues
     *          returned in SR and SI that may be used as shifts by the
     *          calling subroutine.
     *
     *     ND      (output) integer
     *          The number of converged eigenvalues uncovered by this
     *          subroutine.
     *
     *     SR      (output) REAL array, dimension KBOT
     *     SI      (output) REAL array, dimension KBOT
     *          On output, the real and imaginary parts of approximate
     *          eigenvalues that may be used for shifts are stored in
     *          SR(KBOT-ND-NS+1) through SR(KBOT-ND) and
     *          SI(KBOT-ND-NS+1) through SI(KBOT-ND), respectively.
     *          The real and imaginary parts of converged eigenvalues
     *          are stored in SR(KBOT-ND+1) through SR(KBOT) and
     *          SI(KBOT-ND+1) through SI(KBOT), respectively.
     *
     *     V       (workspace) REAL array, dimension (LDV,NW)
     *          An NW-by-NW work array.
     *
     *     LDV     (input) integer scalar
     *          The leading dimension of V just as declared in the
     *          calling subroutine.  NW .LE. LDV
     *
     *     NH      (input) integer scalar
     *          The number of columns of T.  NH.GE.NW.
     *
     *     T       (workspace) REAL array, dimension (LDT,NW)
     *
     *     LDT     (input) integer
     *          The leading dimension of T just as declared in the
     *          calling subroutine.  NW .LE. LDT
     *
     *     NV      (input) integer
     *          The number of rows of work array WV available for
     *          workspace.  NV.GE.NW.
     *
     *     WV      (workspace) REAL array, dimension (LDWV,NW)
     *
     *     LDWV    (input) integer
     *          The leading dimension of W just as declared in the
     *          calling subroutine.  NW .LE. LDV
     *
     *     WORK    (workspace) REAL array, dimension LWORK.
     *          On exit, WORK(1) is set to an estimate of the optimal value
     *          of LWORK for the given values of N, NW, KTOP and KBOT.
     *
     *     LWORK   (input) integer
     *          The dimension of the work array WORK.  LWORK = 2*NW
     *          suffices, but greater efficiency may result from larger
     *          values of LWORK.
     *
     *          If LWORK = -1, then a workspace query is assumed; SLAQR2
     *          only estimates the optimal workspace size for the given
     *          values of N, NW, KTOP and KBOT.  The estimate is returned
     *          in WORK(1).  No error message related to LWORK is issued
     *          by XERBLA.  Neither H nor Z are accessed.
     *
     *     ================================================================
     *     Based on contributions by
     *        Karen Braman and Ralph Byers, Department of Mathematics,
     *        University of Kansas, USA
     *
     *     ==================================================================
     *     .. Parameters ..

Constructor Summary
`Slaqr2()`

Method Summary
`static void` | `slaqr2(boolean wantt, boolean wantz, int n, int ktop, int kbot, int nw, float[] h, int _h_offset, int ldh, int iloz, int ihiz, float[] z, int _z_offset, int ldz, intW ns, intW nd, float[] sr, int _sr_offset, float[] si, int _si_offset, float[] v, int _v_offset, int ldv, int nh, float[] t, int _t_offset, int ldt, int nv, float[] wv, int _wv_offset, int ldwv, float[] work, int _work_offset, int lwork)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Slaqr2

    public Slaqr2()

Method Detail

### slaqr2

    public static void slaqr2(boolean wantt,
                              boolean wantz,
                              int n,
                              int ktop,
                              int kbot,
                              int nw,
                              float[] h,
                              int _h_offset,
                              int ldh,
                              int iloz,
                              int ihiz,
                              float[] z,
                              int _z_offset,
                              int ldz,
                              intW ns,
                              intW nd,
                              float[] sr,
                              int _sr_offset,
                              float[] si,
                              int _si_offset,
                              float[] v,
                              int _v_offset,
                              int ldv,
                              int nh,
                              float[] t,
                              int _t_offset,
                              int ldt,
                              int nv,
                              float[] wv,
                              int _wv_offset,
                              int ldwv,
                              float[] work,
                              int _work_offset,
                              int lwork)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD